@import url('https://fonts.googleapis.com/css?family=Rubik:300,400,700');

$duration: 6s;
$duration2: 2s;
$delay1: .5s;
$delay2: $duration + $delay1 - 1;
$delay3: $duration + $delay2 - 1;
$delay4: $duration + $delay3 - 1;
$delay5: $duration + $delay4 - 1;
$delay6: $duration + $delay5 - 1;
$delay7: $duration + $delay6 - 3;

.main-container {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background: transparent;
	overflow: hidden;
	z-index: 1;
	perspective: 400px;
	transition: opacity .3s;
}

.img {
	position: absolute;
	overflow: hidden;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	background-color: transparent;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
	opacity: 0;
}

.title {
	display: block;
	position: absolute;
	width: 200%;
	top: 50%;
	left: -50%;
	transform: translateY(-50%);
	font-size: 6em;
	text-align: center;
	color: #FFF;
	font-weight: 700;
	letter-spacing: .07em;
	text-transform: uppercase;
	opacity: 0;
	z-index: 5;
}

.info-container {
	position: absolute;
	left: 20%;
	top: 0;
	right: 20%;
	bottom: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	text-align: center;
	transform: translateY(100%);
	opacity: 0;
	z-index: 5;

	h3 {
		font-size: 2.6em;
		font-weight: 400;
		letter-spacing: .05em;
		margin: 0 0 .5em 0;
		padding: 0;
	}

	h4 {
		font-size: 1.7em;
		font-weight: 400;
		margin: 1.4em 0 .8em 0;
		padding: 0;
		text-transform: uppercase;
		letter-spacing: .1em;
	}

	h5 {
		font-size: 1.3em;
		font-weight: 300;
		margin: 1.5em 0 .5em 0;
		padding: 0;
		text-transform: uppercase;
	}

	p {
		font-size: 1.2em;
		margin: 0;
		padding: 0;
		line-height: 1.6;
	}

	a {
		color: #fff;
		text-decoration: none;
		opacity: .6;
		transition: all .3s;

		&:hover {
			opacity: 1;
		}
	}
}

.main-container.loaded {
	.loader-container {
		display: none;
	}

	.img,
	.info-container {
		opacity: 1;
	}

	.title {
		opacity: 0;
	}

	.img-1 {
		animation: kenburns-top $duration linear both reverse $delay1, fade-out $duration2 ease-in forwards $delay2;
		z-index: 5;
	}

	.img-2 {
		animation: kenburns-bottom $duration linear both $delay2, fade-out $duration2 ease-in forwards $delay3;
		z-index: 4;
	}

	.img-3 {
		animation: kenburns-right $duration linear both reverse $delay3, fade-out $duration2 ease-in forwards $delay4;
		z-index: 3;
	}
	.img-4 {
		animation: kenburns-left $duration linear both $delay4, fade-out $duration2 ease-in forwards $delay5;
		z-index: 2;
	}

	.img-5 {
		animation: kenburns-right $duration + 1 linear both reverse $delay5, fade-out $duration2 + 1 ease-in forwards $delay6 - 1;
		z-index: 1;
	}

	.title-1 {
		animation: focus-in-contract 1.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards $delay1 + 1.3, text-blur-out 1.2s ease-in forwards $delay2;
	}

	.title-2 {
		animation: focus-in-contract 1.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards $delay2 + 1.3, text-blur-out 1.2s ease-in forwards $delay3;
	}

	.title-3 {
		animation: focus-in-contract 1.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards $delay3 + 1.3, text-blur-out 1.2s ease-in forwards $delay4;
	}

	.title-4 {
		animation: focus-in-contract 1.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards $delay4 + 1.3, text-blur-out 1.2s ease-in forwards $delay5;
	}

	.title-5 {
		animation: focus-in-contract 1.3s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards $delay5 + 1.3, text-blur-out 1.6s ease-in forwards $delay6;
	}

	.info-container {
		opacity: 0;
		animation: slide-in-bottom 12s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards $delay6 + 1;
	}
}

/* ----------------------------------------------
 * Generated by Animista on 2017-12-10 16:42:7
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation kenburns-top
 * ----------------------------------------
 */
@keyframes kenburns-top {
	0% {
		transform: scale(1) translateY(0);
		transform-origin: 50% 16%;
	}
	100% {
		transform: scale(1.25) translateY(-15px);
		transform-origin: top;
	}
}

/**
 * ----------------------------------------
 * animation kenburns-bottom
 * ----------------------------------------
 */
@keyframes kenburns-bottom {
	0% {
		transform: scale(1) translateY(0);
		transform-origin: 50% 84%;
	}
	100% {
		transform: scale(1.25) translateY(15px);
		transform-origin: bottom;
	}
}

/**
 * ----------------------------------------
 * animation kenburns-right
 * ----------------------------------------
 */
@keyframes kenburns-right {
	0% {
		transform: scale(1) translate(0, 0);
		transform-origin: 84% 50%;
	}
	100% {
		transform: scale(1.25) translateX(20px);
		transform-origin: right;
	}
}

/**
 * ----------------------------------------
 * animation kenburns-left
 * ----------------------------------------
 */
@keyframes kenburns-left {
	0% {
		transform: scale(1) translate(0, 0);
		transform-origin: 16% 50%;
	}
	100% {
		transform: scale(1.25) translate(-20px, 15px);
		transform-origin: left;
	}
}

/**
 * ----------------------------------------
 * animation focus-in-contract
 * ----------------------------------------
 */
@keyframes focus-in-contract {
	0% {
		letter-spacing: 1em;
		filter: blur(12px);
		opacity: 0;
	}
	100% {
		filter: blur(0px);
		opacity: 1;
	}
}

/**
 * ----------------------------------------
 * animation tracking-in-contract
 * ----------------------------------------
 */
@keyframes tracking-in-contract {
	0% {
		letter-spacing: 1em;
		opacity: 0;
	}
	40% {
		opacity: 0.6;
	}
	100% {
		letter-spacing: normal;
		opacity: 1;
	}
}


/**
 * ----------------------------------------
 * animation fade-out
 * ----------------------------------------
 */
@keyframes fade-out {
	0% {
		opacity: 1;
	}
	100% {
		opacity: 0;
	}
}

/**
 * ----------------------------------------
 * animation fade-in
 * ----------------------------------------
 */
@keyframes fade-in {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}

/**
 * ----------------------------------------
 * animation text-blur-out
 * ----------------------------------------
 */
@keyframes text-blur-out {
	0% {
		filter: blur(0.01);
	}
	100% {
		filter: blur(12px) opacity(0%);
	}
}

/**
 * ----------------------------------------
 * animation slide-in-bottom
 * ----------------------------------------
 */
@keyframes slide-in-bottom {
	0% {
		transform: translateY(100%);
		opacity: 0;
	}
	100% {
		transform: translateY(0);
		opacity: 1;
	}
}

/**
 * ----------------------------------------
 * animation rotate-center
 * ----------------------------------------
 */
@keyframes rotate-center {
	0% {
		transform: rotate(0);
	}
	100% {
		transform: rotate(360deg);
	}
}

.preloaded {
	position: absolute;
	bottom: -1px;
	left: -1px;
	width: 1px;
	height: 1px;
	overflow: hidden;
	visibility: hidden;
}

.loader-container {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	text-align: center;
	font-size: .9em;
	letter-spacing: .13em;
	text-transform: uppercase;
	font-weight: 400;
	color: #fff;
	background: transparent;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-content: center;
	z-index: 5;
}

.loader {
	width: 42px;
	height: 42px;
	margin-bottom: 10px;
	align-self: center;
	border-radius: 50%;
	background: whiteSmoke;
	box-shadow: 0px -10px 25px 0px #ffffff inset;
	background: linear-gradient(to right, rgba(255, 255, 255, 1) 50%, transparent 50%);
	opacity: .8;
	animation: rotate-center 0.7s infinite linear;

	&:before {
		display: block;
		content: '';
		position: relative;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		width: 39px;
		height: 39px;
		border-radius: 50%;
		background: black;
	}
}